Geo3dPointShape (Lucene 10.5.0 spatial-extras API)
Description: declaration: package: org.apache.lucene.spatial.spatial4j, class: Geo3dPointShape

Package org.apache.lucene.spatial.spatial4j

# Class Geo3dPointShape

java.lang.Object
org.apache.lucene.spatial.spatial4j.Geo3dShape<GeoPointShape>
org.apache.lucene.spatial.spatial4j.Geo3dPointShape

All Implemented Interfaces:
  `org.locationtech.spatial4j.shape.Point`, `org.locationtech.spatial4j.shape.Shape`

public class Geo3dPointShape extends Geo3dShape<GeoPointShape> implements org.locationtech.spatial4j.shape.Point
Specialization of a `Geo3dShape` which represents a `Point`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.spatial.spatial4j.Geo3dShape

  `boundingBox, center, shape, spatialcontext`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Geo3dPointShape(GeoPointShape shape, org.locationtech.spatial4j.context.SpatialContext spatialcontext)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.locationtech.spatial4j.shape.Rectangle`
  `getBoundingBox()`
  `org.locationtech.spatial4j.shape.Shape`
  `getBuffered(double distance, org.locationtech.spatial4j.context.SpatialContext spatialContext)`
  `double`
  `getX()`
  `double`
  `getY()`
  `boolean`
  `hasArea()`
  `void`
  `reset(double x, double y)`

  ### Methods inherited from class org.apache.lucene.spatial.spatial4j.Geo3dShape

  `equals, getArea, getCenter, getContext, hashCode, isEmpty, relate, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.locationtech.spatial4j.shape.Point

  `getLat, getLon`

  ### Methods inherited from interface org.locationtech.spatial4j.shape.Shape

  `equals, getArea, getCenter, getContext, isEmpty, relate`

- ## Constructor Details

  - ### Geo3dPointShape

    public Geo3dPointShape(GeoPointShape shape, org.locationtech.spatial4j.context.SpatialContext spatialcontext)

- ## Method Details

  - ### reset

    public void reset(double x, double y)
    Specified by:
      `reset` in interface `org.locationtech.spatial4j.shape.Point`

  - ### getX

    public double getX()
    Specified by:
      `getX` in interface `org.locationtech.spatial4j.shape.Point`

  - ### getY

    public double getY()
    Specified by:
      `getY` in interface `org.locationtech.spatial4j.shape.Point`

  - ### getBoundingBox

    public org.locationtech.spatial4j.shape.Rectangle getBoundingBox()
    Specified by:
      `getBoundingBox` in interface `org.locationtech.spatial4j.shape.Shape`
    Overrides:
      `getBoundingBox` in class `Geo3dShape<GeoPointShape>`

  - ### getBuffered

    public org.locationtech.spatial4j.shape.Shape getBuffered(double distance, org.locationtech.spatial4j.context.SpatialContext spatialContext)
    Specified by:
      `getBuffered` in interface `org.locationtech.spatial4j.shape.Shape`
    Overrides:
      `getBuffered` in class `Geo3dShape<GeoPointShape>`

  - ### hasArea

    public boolean hasArea()
    Specified by:
      `hasArea` in interface `org.locationtech.spatial4j.shape.Shape`
    Overrides:
      `hasArea` in class `Geo3dShape<GeoPointShape>`